=== debian/changelog ===
maxflow (3.0.4-1) unstable; urgency=low

  * Initial release (Closes: #742622)

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 22 Jul 2015 12:21:43 +0200
