=== debian/control ===
Source: maxflow
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gw.fossdev@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/maxflow.git
Vcs-Git: git://anonscm.debian.org/debian-med/maxflow.git
Homepage: https://github.com/gerddie/maxflow

Package: libmaxflow0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: This library provides the maxflow-mincut algorithm
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high 
 performance that makes near real-time performance possible.

Package: libmaxflow-dev
Architecture: any
Section: libdevel
Depends: libmaxflow0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the maxflow-mincut algorithm  
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high 
 performance that makes near real-time performance possible.
 This package provides the development files for the library.

Package: libmaxflow0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmaxflow0 (= ${binary:Version}),
         ${misc:Depends}
Description: Debug information for the maxflow-mincut algorithm 
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high 
 performance that makes near real-time performance possible.
 This package provides the debug information for the library.
