=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1


%:
	dh $@


override_dh_strip:
	 /usr/bin/dh_strip -plibmaxflow0 --dbg-package=libmaxflow0-dbg
