=== debian/watch ===
version=3

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/gerddie/maxflow/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
