=== debian/changelog ===
maxflow (3.0.5-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Metzler ]
  * Bump CMAKE_MINIMUM_REQUIRED to 3.5. Closes: #1113269.

  [ Santiago Vila ]
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 17 Oct 2025 13:05:00 +0200

maxflow (3.0.5-4) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * set Rules-Requires-Root: no
  * fix debian/watch for new GitHub API

  [ Juhani Numminen ]
  * Fix error in Maintainer address

  [ Debian Janitor ]
  * Apply multi-arch hints. + libmaxflow-dev, libmaxflow0: Add Multi-Arch: same.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository*.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Nov 2024 19:31:27 +0100

maxflow (3.0.5-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Gert Wollny ]
  * cme fix dpkg
  * d/control: Fix mailing list

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 18:32:17 +0200

maxflow (3.0.5-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace
  * Use secure copyright file specification URI

  [ Andreas Tille ]
  * debhelper 11
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 13:36:41 +0100

maxflow (3.0.5-1) unstable; urgency=medium

  * d/watch: Correct name mangling
  * d/: Add gbp.conf file
  * New upstream version 3.0.5
  * d/p: remove obsolete patches

 -- Gert Wollny <gewo@debian.org>  Wed, 14 Feb 2018 11:43:55 +0100

maxflow (3.0.4-2) unstable; urgency=medium

  * d/control: - update VCS URLs to salsa
               - update to standards 4.1.3 (no changes needed)
  * d/.gitlab-ci.yml added
  * d/control, d/rules: Remove hard coded debug package
  * d/control: Update uploader email to gewo@debian.org
  * d/p: Add a copyright patch because the Debian tarball doesn't have
    it although it should be there.

 -- Gert Wollny <gewo@debian.org>  Tue, 13 Feb 2018 11:34:48 +0100
