=== debian/control ===
Source: maxflow
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gewo@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/maxflow
Vcs-Git: https://salsa.debian.org/med-team/maxflow.git
Homepage: https://github.com/gerddie/maxflow

Package: libmaxflow0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: This library provides the maxflow-mincut algorithm
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high
 performance that makes near real-time performance possible.

Package: libmaxflow-dev
Architecture: any
Section: libdevel
Depends: libmaxflow0 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Development files for the maxflow-mincut algorithm
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high
 performance that makes near real-time performance possible.
 This package provides the development files for the library.
