=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/maxflow-$1\.tar\.gz/  \
https://github.com/gerddie/maxflow/tags .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
